[PATCH] Fix generic/127 to exit if any subtest fails

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



If one of the subtests of generic/127 fails, we proceed with the rest of
the tests, potentially overwriting useful data.  This makes it stop as
soon as any of the subtests fails.

Signed-off-by: Matthew Wilcox (Oracle) <willy@xxxxxxxxxxxxx>

diff --git a/tests/generic/127 b/tests/generic/127
index dedd8bbf..d4b2cc38 100755
--- a/tests/generic/127
+++ b/tests/generic/127
@@ -90,16 +90,16 @@ _supported_fs generic
 _supported_os Linux
 _require_test
 
-_fsx_lite_nommap
-_fsx_lite_mmap
+_fsx_lite_nommap || exit
+_fsx_lite_mmap || exit
 
-_fsx_std_nommap
-_fsx_std_mmap
+_fsx_std_nommap || exit
+_fsx_std_mmap || exit
 
 #flush cache after write
 FSX_ARGS="-f $FSX_ARGS"
-_fsx_std_nommap
-_fsx_std_mmap
+_fsx_std_nommap || exit
+_fsx_std_mmap || exit
 
 status=0
 _cleanup




[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux